### Method

# EBookContacts SourceBackendSummarySetup set_indexed_fields

since: 3.8

#### Declaration [src]

    void
    e_source_backend_summary_setup_set_indexed_fields (
      ESourceBackendSummarySetup* extension,
      ...
    )

#### Description [src]

Like e_source_backend_summary_setup_set_indexed_fieldsv(), but takes a literal list of of indexes.

To give the ‘fullname’ field an index for prefix and suffix searches:

      #include <libebook/libebook.h>

      ESourceBackendSummarySetup *extension;

      extension = e_source_get_extension (source, E_SOURCE_EXTENSION_BACKEND_SUMMARY_SETUP);

      e_source_backend_summary_setup_set_indexed_fields (extension,
                                                         E_CONTACT_FULL_NAME, E_BOOK_INDEX_PREFIX,
                                                         E_CONTACT_FULL_NAME, E_BOOK_INDEX_SUFFIX,
                                                         0);

Available since: 3.8

This method is not directly available to language bindings.

Sets property | `EBookContacts.SourceBackendSummarySetup:indexed-fields`

#### Parameters

`...`

  Type: ``

  A list of `EContactFields`, `EBookIndexType` pairs terminated by 0.